Get resource state – Media API – MediaKind
Get resource state
Get the internal state of the resource. The state value depends on the resource type. For details about the potential states for each resource type, see our resource state docs.
RBAC Capability Required: ams.liveeventoutput.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name: string (Required)
- event_name: string (Required)
- output_name: string (Required)
Response
200 OK
- status: object ResourceStateStatus (Required)
The status of the resource.- state: string (Required)
The state of the resource. The value depends on the resource type.
- state: string (Required)
Errors
400 Bad Request
- error: object ErrorDetail (Required)
Pertinent information about the error- code: string (Required)
- detail: string (Required)
- extraDetail: map from strings to any (Optional)
401 Unauthorized
- error: object ErrorDetail (Required)
Pertinent information about the error- code: string (Required)
- detail: string (Required)
- extraDetail: map from strings to any (Optional)
403 Forbidden
- error: object ErrorDetail (Required)
Pertinent information about the error- code: string (Required)
- detail: string (Required)
- extraDetail: map from strings to any (Optional)
404 Not Found
- error: object ErrorDetail (Required)
Pertinent information about the error- code: string (Required)
- detail: string (Required)
- extraDetail: map from strings to any (Optional)
429 Too Many Requests
- error: object ErrorDetail (Required)
Pertinent information about the error- code: string (Required)
- detail: string (Required)
- extraDetail: map from strings to any (Optional)
500 Internal Server Error
- error: object ErrorDetail (Required)
Pertinent information about the error- code: string (Required)
- detail: string (Required)
- extraDetail: map from strings to any (Optional)